Package org.springframework.security.web.authentication.ott

# Interface OneTimeTokenGenerationSuccessHandler

All Known Implementing Classes:
  `RedirectOneTimeTokenGenerationSuccessHandler`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface OneTimeTokenGenerationSuccessHandler
Defines a strategy to handle generated one-time tokens.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.authentication.ott.OneTimeToken oneTimeToken)`
Handles generated one-time tokens

## Method Details

### handle

void handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.authentication.ott.OneTimeToken oneTimeToken) throws IOException, jakarta.servlet.ServletException
Handles generated one-time tokens

Throws:
  `IOException`
  `jakarta.servlet.ServletException`